EditCornerBuilder Class

class NXOpen.Features.SheetMetal.EditCornerBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Features.SheetMetal.EditCornerBuilder

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateEditCornerBuilder()

Default values.

Property Value
BendClosureType Open
CornerReliefType None
Diameter.Value 2.5 (millimeters part), 0.1 (inches part)
OverlapRatio.Value 1
PlateClosureType Closed
PlateGap.Value 0 (millimeters part), 0 (inches part)

New in version NX7.5.0.

Properties

Property Description
BendClosureType Returns or sets the bend type
CornerReliefType Returns or sets the corner relief type
Diameter Returns the diameter for a circular cutout
OverlapRatio Returns the overlap ratio between plates
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PlateClosureType Returns or sets the plate type
PlateGap Returns the gap value between plates
ReverseOverlap Returns or sets whether the overlap is reversed or not
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.

Methods

Method Description
AddFacePair Add a face pair.
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFacePair Return the face pair.
GetFeature Returns the feature currently being edited by this builder.
GetNumberOfFacePairs Returns the number of face pairs already identified for the three bend corner feature.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
RemoveFacePair Removes a face pair (that represents a unique corner) from the list of face pairs already added.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

EditCornerBuilderBendClosureTypeOptions Enumeration This enum specifies the type of bend closure required at the corner.
EditCornerBuilderCornerReliefTypeOptions Enumeration This enum specifies the type of relief required at the corner.
EditCornerBuilderPlateClosureTypeOptions Enumeration This enum specifies the type of plate closure required at the corner.

Property Detail

BendClosureType

EditCornerBuilder.BendClosureType

Returns or sets the bend type

-------------------------------------

Getter Method

Signature BendClosureType

Returns:
Return type:NXOpen.Features.SheetMetal.EditCornerBuilderBendClosureTypeOptions

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BendClosureType

Parameters:bends (NXOpen.Features.SheetMetal.EditCornerBuilderBendClosureTypeOptions) –

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

CornerReliefType

EditCornerBuilder.CornerReliefType

Returns or sets the corner relief type

-------------------------------------

Getter Method

Signature CornerReliefType

Returns:
Return type:NXOpen.Features.SheetMetal.EditCornerBuilderCornerReliefTypeOptions

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CornerReliefType

Parameters:cornerRelief (NXOpen.Features.SheetMetal.EditCornerBuilderCornerReliefTypeOptions) –

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Diameter

EditCornerBuilder.Diameter

Returns the diameter for a circular cutout

-------------------------------------

Getter Method

Signature Diameter

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

OverlapRatio

EditCornerBuilder.OverlapRatio

Returns the overlap ratio between plates

-------------------------------------

Getter Method

Signature OverlapRatio

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

PlateClosureType

EditCornerBuilder.PlateClosureType

Returns or sets the plate type

-------------------------------------

Getter Method

Signature PlateClosureType

Returns:
Return type:NXOpen.Features.SheetMetal.EditCornerBuilderPlateClosureTypeOptions

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature PlateClosureType

Parameters:plates (NXOpen.Features.SheetMetal.EditCornerBuilderPlateClosureTypeOptions) –

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

PlateGap

EditCornerBuilder.PlateGap

Returns the gap value between plates

-------------------------------------

Getter Method

Signature PlateGap

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

ReverseOverlap

EditCornerBuilder.ReverseOverlap

Returns or sets whether the overlap is reversed or not

-------------------------------------

Getter Method

Signature ReverseOverlap

Returns:
Return type:bool

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ReverseOverlap

Parameters:reverseOverlap (bool) –

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Method Detail

AddFacePair

EditCornerBuilder.AddFacePair

Add a face pair.

Signature AddFacePair(firstFace, secondFace)

Parameters:
  • firstFace (NXOpen.Face) – A bend face from a bend
  • secondFace (NXOpen.Face) – A bend face from an adjacent bend

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetFacePair

EditCornerBuilder.GetFacePair

Return the face pair.

Signature GetFacePair(index)

Parameters:index (int) – Index of the desired face pair
Returns:a tuple
Return type:A tuple consisting of (firstFace, secondFace). firstFace is a NXOpen.Face. First face of the face pair secondFace is a NXOpen.Face. Second face of the face pair

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

GetNumberOfFacePairs

EditCornerBuilder.GetNumberOfFacePairs

Returns the number of face pairs already identified for the three bend corner feature.

Signature GetNumberOfFacePairs()

Returns:The number of face pairs currently identified
Return type:int

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

RemoveFacePair

EditCornerBuilder.RemoveFacePair

Removes a face pair (that represents a unique corner) from the list of face pairs already added.

Signature RemoveFacePair(firstFace, secondFace)

Parameters:
  • firstFace (NXOpen.Face) – A face from an already selected face pair
  • secondFace (NXOpen.Face) – The other face from the face pair

New in version NX7.5.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”)

Validate

EditCornerBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.